.tgrep.result
	+gradient-border(before)
	+row
	position: relative

.tgrep.result_actions
	+column(30%)

	+respond-to(medium)
		width: 50%

	+respond-to(tiny)
		width: 100%

	ul
		list-style: none
		margin: 0
		padding: 0

	li + li
		margin-top: $grid

.tgrep.result_author
	margin-bottom: ($grid / 2)

.tgrep.result_breadcrumbs
	display: table-cell

.tgrep.result_button
	@extend %button
	+modify-button(pale)

	&.-add-to-shelf
		+icon('plus')
		width: 100%

	&.-remove-from-shelf
		+icon('minus')
		width: 100%

	&.-download
		+icon('download')
		width: 100%

	&.-small
		+modify-button(small)

.tgrep.result_image
	+column(20%)

	img
		max-width: 100%

	+respond-to(medium)
		width: 50%

	+respond-to(tiny)
		margin-bottom: $grid
		width: 100%

.tgrep.result_info
	display: table

.tgrep.result_main
	+column(50%, medium)

	+respond-to(medium)
		margin-bottom: $grid

.tgrep.result_mime-type
	cursor: help
	display: table-cell
	vertical-align: top

	&.-text
		+icon('file-text-o')

	&.-application-pdf
		+icon('file-pdf-o')

	&[class^='-image-'],
	&[class*=' -image-']
		+icon('file-image-o')

	&[class^='-video-'],
	&[class*=' -video-']
		+icon('file-video-o')

	&[class^='-audio-'],
	&[class*=' -audio-']
		+icon('file-audio-o')

	&.-text-xml,
	&.-text-xml-xslt
		+tg-icon('x14-document-xml')

	&.-text-xsd-xml,
	&.-application-relax-ng-compact-syntax
		+tg-icon('x15-document-dtd')

	&.-text-tg-work-xml
		+tg-icon('130-ist_Werk')

	&.-text-tg-edition-tg-aggregation-xml
		+tg-icon('108-ist-Edition')

	&.-text-tg-aggregation-xml
		+tg-icon('072-zeige-AggregationPerspektive')

	&.-text-tg-collection-tg-aggregation-xml
		+tg-icon('109-ist-Collection')

	&.-text-plain,
	&.-text-css,
	&.-text-html
		+tg-icon('x11-document-text')

	&.-text-tg-service-approved-xml,
	&.-text-tg-servicedescription-xml,
	&.-text-gwdl-workflow-xml
		+tg-icon('075-zeige-WorkflowPerspektive')

.tgrep.result_title
	+heading(2)
	margin-bottom: ($grid / 2)
